Subject: Re: bug#19342: auto-fill scan-error in sh-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 30 Aug 2021 02:44:59 +0200

Stefan Monnier <[email-masked]> writes:

>> Well, there's no problem in the syntax, is there?  The user is just
>> typing a long string, which is pretty normal behaviour...
>
> There's an error in the syntax because the string is not closed.

It rather sounds like you're saying it would be fine if Emacs started
signalling errors immediately after a user has typed a " character --
which I don't think you are.  So I'm not sure why you're fine with Emacs
issuing an error after the user has typed a " character and then some
more characters.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no